Trello integration: operations for AI agents
Trello connects to Type.com as an integration. This page lists the 261 operations documented for Claude and Codex in Type.com: 128 read, 44 write, 89 destructive.
About Trello
A web-based, kanban-style, list-making application.
Categories: Productivity & Project Management
How to connect Trello to Type.com
- Access
- Organization connection: one shared account for the workspace.
To add the connection, follow the steps in Space connections.
Documented operations
261 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.
261 operations listed.
Actions
- Read
Get an Action
Get an Action *Note: An action can live on a board or a workspace, so accessing it needs `read:board:trello` or `read:organization:trello`.*
GET /actions/{id} - Read
Get a specific field on an Action
Get a specific property of an action *Note: An action can live on a board or a workspace, so accessing it needs `read:board:trello` or `read:organization:trello`.*
GET /actions/{id}/{field} - Read
Get the Board for an Action
Get the Board for an Action
GET /actions/{id}/board - Read
Get the Card for an Action
Get the card for an action
GET /actions/{id}/card - Read
Get the List for an Action
Get the List for an Action
GET /actions/{id}/list - Read
Get the Member of an Action
Gets the member of an action (not the creator) *Note: An action can live on a board or a workspace, so accessing it needs `read:board:trello` or `read:organization:trello`.*
GET /actions/{id}/member - Read
Get the Member Creator of an Action
Get the Member who created the Action *Note: An action can live on a board or a workspace, so accessing it needs `read:board:trello` or `read:organization:trello`.*
GET /actions/{id}/memberCreator - Read
Get the Organization of an Action
Get the Organization of an Action
GET /actions/{id}/organization - Read
Get Action's Reactions
List reactions for an action
GET /actions/{idAction}/reactions - Read
Get Action's Reaction
Get information for a reaction
GET /actions/{idAction}/reactions/{id} - Read
List Action's summary of Reactions
List a summary of all reactions for an action
GET /actions/{idAction}/reactionsSummary - Write
Create Reaction for Action
Adds a new reaction to an action
POST /actions/{idAction}/reactions - Destructive
Update an Action
Update a specific Action. Only comment actions can be updated. Used to edit the content of a comment.
PUT /actions/{id} - Destructive
Delete an Action
Delete a specific action. Only comment actions can be deleted.
DELETE /actions/{id} - Destructive
Update a Comment Action
Update a comment action
PUT /actions/{id}/text - Destructive
Delete Action's Reaction
Deletes a reaction
DELETE /actions/{idAction}/reactions/{id}
Applications
- Read
Get Application's compliance data
Get Application's compliance data
GET /applications/{key}/compliance
Batch
- Read
Batch Requests
Make up to 10 GET requests in a single, batched API call.
GET /batch
Boards
- Read
Get Memberships of a Board
Get information about the memberships users have to the board.
GET /boards/{id}/memberships - Read
Get a Board
Request a single board.
GET /boards/{id} - Read
Get a field on a Board
Get a single, specific field on a board
GET /boards/{id}/{field} - Read
Get Actions of a Board
Get all of the actions of a Board. See [Nested Resources](/cloud/trello/guides/rest-api/nested-resources/) for more information.
GET /boards/{boardId}/actions - Read
Get boardStars on a Board
Get boardStars on a Board
GET /boards/{boardId}/boardStars - Read
Get Checklists on a Board
Get all of the checklists on a Board.
GET /boards/{id}/checklists - Read
Get Cards on a Board
Get all of the open Cards on a Board. See [Nested Resources](/cloud/trello/guides/rest-api/nested-resources/) for more information.
GET /boards/{id}/cards - Read
Get filtered Cards on a Board
Get the Cards on a Board that match a given filter. See [Nested Resources](/cloud/trello/guides/rest-api/nested-resources/) for more information.
GET /boards/{id}/cards/{filter} - Read
Get Custom Fields for Board
Get the Custom Field Definitions that exist on a board.
GET /boards/{id}/customFields - Read
Get Labels on a Board
Get all of the Labels on a Board.
GET /boards/{id}/labels - Read
Get Lists on a Board
Get the Lists on a Board
GET /boards/{id}/lists - Read
Get filtered Lists on a Board
Get filtered Lists on a Board
GET /boards/{id}/lists/{filter} - Read
Get the Members of a Board
Get the Members for a board
GET /boards/{id}/members - Read
Get Enabled Power-Ups on Board
Get the enabled Power-Ups on a board
GET /boards/{id}/boardPlugins - Read
Get Power-Ups on a Board
List the Power-Ups on a board
GET /boards/{id}/plugins - Read
Get an Export for a Board
Get the status of a board export
GET /boards/{id}/exports/{idExport} - Read
Download an Export for a Board
Download the exported file. Redirects to the file location if the export is ready, or errors if it is not.
GET /boards/{id}/exports/{idExport}/download - Read
Get a Board's Most Recent Export
Get the most recent successful export for a board
GET /boards/{id}/exports/mostRecent - Write
Create a Label on a Board
Create a new Label on a Board.
POST /boards/{id}/labels - Write
Create a List on a Board
Create a new List on a Board.
POST /boards/{id}/lists - Write
Create a Board
Create a new board.
POST /boards/ - Write
Create a calendarKey for a Board
Create a calendar key for a board.
POST /boards/{id}/calendarKey/generate - Write
Create a emailKey for a Board
Create a emailKey for a Board
POST /boards/{id}/emailKey/generate - Write
Create a Tag for a Board
Create a Tag for a Board
POST /boards/{id}/idTags - Write
Mark Board as viewed
Mark Board as viewed
POST /boards/{id}/markAsViewed - Write
Create an Export for a Board
Kick off an export of a board. Only one export may be in progress for a board at a time.
POST /boards/{id}/exports - Destructive
Update a Board
Update an existing board by id
PUT /boards/{id} - Destructive
Delete a Board
Delete a board.
DELETE /boards/{id} - Destructive
Invite Member to Board via email
Invite a Member to a Board via their email address.
PUT /boards/{id}/members - Destructive
Add a Member to a Board
Add a member to the board.
PUT /boards/{id}/members/{idMember} - Destructive
Remove Member from Board
Remove Member from Board
DELETE /boards/{id}/members/{idMember} - Destructive
Update Membership of Member on a Board
Update a board membership.
PUT /boards/{id}/memberships/{idMembership} - Destructive
Update emailPosition Pref on a Board
Update emailPosition Pref on a Board
PUT /boards/{id}/myPrefs/emailPosition - Destructive
Update idEmailList Pref on a Board
Change the default list that email-to-board cards are created in.
PUT /boards/{id}/myPrefs/idEmailList - Destructive
Update showSidebar Pref on a Board
Update showSidebar Pref on a Board
PUT /boards/{id}/myPrefs/showSidebar - Destructive
Update showSidebarActivity Pref on a Board
Update showSidebarActivity Pref on a Board
PUT /boards/{id}/myPrefs/showSidebarActivity - Destructive
Update showSidebarBoardActions Pref on a Board
Update showSidebarBoardActions Pref on a Board
PUT /boards/{id}/myPrefs/showSidebarBoardActions - Destructive
Update showSidebarMembers Pref on a Board
Update showSidebarMembers Pref on a Board
PUT /boards/{id}/myPrefs/showSidebarMembers - Destructive
Delete an Export for a Board
Soft-delete a board export
DELETE /boards/{id}/exports/{idExport}
Other
- Write
Enable a Power-Up on a Board (deprecated)
Enable a Power-Up on a Board
POST /boards/{id}/boardPlugins - Destructive
Disable a Power-Up on a Board (deprecated)
Disable a Power-Up on a board
DELETE /boards/{id}/boardPlugins/{idPlugin}
Cards
- Read
Get a Card
Get a card by its ID
GET /cards/{id} - Read
Get a field on a Card
Get a specific property of a card
GET /cards/{id}/{field} - Read
Get Actions on a Card
List the Actions on a Card. See [Nested Resources](/cloud/trello/guides/rest-api/nested-resources/) for more information.
GET /cards/{id}/actions - Read
Get Attachments on a Card
List the attachments on a card
GET /cards/{id}/attachments - Read
Get an Attachment on a Card
Get a specific Attachment on a Card.
GET /cards/{id}/attachments/{idAttachment} - Read
Get the Board the Card is on
Get the board a card is on
GET /cards/{id}/board - Read
Get checkItems on a Card
Get the completed checklist items on a card
GET /cards/{id}/checkItemStates - Read
Get Checklists on a Card
Get the checklists on a card
GET /cards/{id}/checklists - Read
Get checkItem on a Card
Get a specific checkItem on a card
GET /cards/{id}/checkItem/{idCheckItem} - Read
Get the List of a Card
Get the list a card is in
GET /cards/{id}/list - Read
Get the Members of a Card
Get the members on a card
GET /cards/{id}/members - Read
Get Members who have voted on a Card
Get the members who have voted on a card
GET /cards/{id}/membersVoted - Read
Get pluginData on a Card
Get any shared pluginData on a card.
GET /cards/{id}/pluginData - Read
Get Stickers on a Card
Get the stickers on a card
GET /cards/{id}/stickers - Read
Get a Sticker on a Card
Get a specific sticker on a card
GET /cards/{id}/stickers/{idSticker} - Read
Get Custom Field Items for a Card
Get the custom field items for a card.
GET /cards/{id}/customFieldItems - Write
Create a new Card
Create a new card. Query parameters may also be replaced with a JSON request body instead.
POST /cards - Write
Create Attachment On Card
Create an Attachment to a Card. See https://glitch.com/~trello-attachments-api for code examples. You may need to remix the project in order to view it.
POST /cards/{id}/attachments - Write
Create Checklist on a Card
Create a new checklist on a card
POST /cards/{id}/checklists - Write
Add Member vote to Card
Vote on the card for a given member.
POST /cards/{id}/membersVoted - Write
Add a Sticker to a Card
Add a sticker to a card
POST /cards/{id}/stickers - Write
Add a new comment to a Card
Add a new comment to a card
POST /cards/{id}/actions/comments - Write
Add a Label to a Card
Add a label to a card
POST /cards/{id}/idLabels - Write
Add a Member to a Card
Add a member to a card
POST /cards/{id}/idMembers - Write
Create a new Label on a Card
Create a new label for the board and add it to the given card.
POST /cards/{id}/labels - Write
Mark a Card's Notifications as read
Mark notifications about this card as read
POST /cards/{id}/markAssociatedNotificationsRead - Destructive
Update a Card
Update a card. Query parameters may also be replaced with a JSON request body instead.
PUT /cards/{id} - Destructive
Delete a Card
Delete a Card
DELETE /cards/{id} - Destructive
Delete an Attachment on a Card
Delete an Attachment
DELETE /cards/{id}/attachments/{idAttachment} - Destructive
Update a checkItem on a Card
Update an item in a checklist on a card.
PUT /cards/{id}/checkItem/{idCheckItem} - Destructive
Delete checkItem on a Card
Delete a checklist item
DELETE /cards/{id}/checkItem/{idCheckItem} - Destructive
Delete a Sticker on a Card
Remove a sticker from the card
DELETE /cards/{id}/stickers/{idSticker} - Destructive
Update a Sticker on a Card
Update a sticker on a card
PUT /cards/{id}/stickers/{idSticker} - Destructive
Update Comment Action on a Card
Update an existing comment
PUT /cards/{id}/actions/{idAction}/comments - Destructive
Delete a comment on a Card
Delete a comment
DELETE /cards/{id}/actions/{idAction}/comments - Destructive
Update Custom Field item on Card
Setting, updating, and removing the value for a Custom Field on a card. For more details on updating custom fields check out the [Getting Started With Custom Fields](/cloud/trello/guides/rest-api/getting-started-with-custom-fields/)
PUT /cards/{idCard}/customField/{idCustomField}/item - Destructive
Update Multiple Custom Field items on Card
Setting, updating, and removing the values for multiple Custom Fields on a card. For more details on updating custom fields check out the [Getting Started With Custom Fields](/cloud/trello/guides/rest-api/getting-started-with-custom-fields/)
PUT /cards/{idCard}/customFields - Destructive
Remove a Label from a Card
Remove a label from a card
DELETE /cards/{id}/idLabels/{idLabel} - Destructive
Remove a Member from a Card
Remove a member from a card
DELETE /cards/{id}/idMembers/{idMember} - Destructive
Remove a Member's Vote on a Card
Remove a member's vote from a card
DELETE /cards/{id}/membersVoted/{idMember} - Destructive
Update Checkitem on Checklist on Card
Update an item in a checklist on a card.
PUT /cards/{idCard}/checklist/{idChecklist}/checkItem/{idCheckItem} - Destructive
Delete a Checklist on a Card
Delete a checklist from a card
DELETE /cards/{id}/checklists/{idChecklist}
Checklists
- Read
Get a Checklist
Get a Checklist
GET /checklists/{id} - Read
Get field on a Checklist
Get field on a Checklist
GET /checklists/{id}/{field} - Read
Get the Board the Checklist is on
Get the Board the Checklist is on
GET /checklists/{id}/board - Read
Get the Card a Checklist is on
Get the Card a Checklist is on
GET /checklists/{id}/cards - Read
Get Checkitems on a Checklist
Get Checkitems on a Checklist
GET /checklists/{id}/checkItems - Read
Get a Checkitem on a Checklist
Get a Checkitem on a Checklist
GET /checklists/{id}/checkItems/{idCheckItem} - Write
Create a Checklist
Create a Checklist
POST /checklists - Write
Create Checkitem on Checklist
Create Checkitem on Checklist
POST /checklists/{id}/checkItems - Destructive
Update a Checklist
Update an existing checklist.
PUT /checklists/{id} - Destructive
Delete a Checklist
Delete a checklist
DELETE /checklists/{id} - Destructive
Update field on a Checklist
Update field on a Checklist
PUT /checklists/{id}/{field} - Destructive
Delete Checkitem from Checklist
Remove an item from a checklist
DELETE /checklists/{id}/checkItems/{idCheckItem}
Custom Fields
- Read
Get a Custom Field
Get a Custom Field
GET /customFields/{id} - Read
Get Options of Custom Field drop down
Get the options of a drop down Custom Field
GET /customFields/{id}/options - Read
Get Option of Custom Field dropdown
Retrieve a specific, existing Option on a given dropdown-type Custom Field
GET /customFields/{id}/options/{idCustomFieldOption} - Write
Create a new Custom Field on a Board
Create a new Custom Field on a board.
POST /customFields - Write
Add Option to Custom Field dropdown
Add an option to a dropdown Custom Field
POST /customFields/{id}/options - Destructive
Update a Custom Field definition
Update a Custom Field definition.
PUT /customFields/{id} - Destructive
Delete a Custom Field definition
Delete a Custom Field from a board.
DELETE /customFields/{id} - Destructive
Delete Option of Custom Field dropdown
Delete an option from a Custom Field dropdown.
DELETE /customFields/{id}/options/{idCustomFieldOption}
Emoji
- Read
List available Emoji
List available Emoji
GET /emoji
Enterprises
- Read
Get an Enterprise
Get an enterprise by its ID.
GET /enterprises/{id} - Read
Get auditlog data for an Enterprise
Returns an array of Actions related to the Enterprise object. Used for populating data sent to Google Sheets from an Enterprise's audit log page: https://trello.com/e/{enterprise_name}/admin/auditlog. An Enterprise admin token is required for this route. NOTE: For enterprises that have opted in to user management via AdminHub, the auditlog will will contain actions taken in AdminHub, but may not contain the source for those actions.
GET /enterprises/{id}/auditlog - Read
Get Enterprise admin Members
Get an enterprise's admin members.
GET /enterprises/{id}/admins - Read
Get signupUrl for Enterprise
Get the signup URL for an enterprise.
GET /enterprises/{id}/signupUrl - Read
Get Users of an Enterprise
Get an enterprise's users. You can choose to retrieve licensed members, board guests, etc. The response is paginated and will return 100 users at a time.
GET /enterprises/{id}/members/query - Read
Get Members of Enterprise
Get the members of an enterprise.
GET /enterprises/{id}/members - Read
Get a Member of Enterprise
Get a specific member of an enterprise by ID.
GET /enterprises/{id}/members/{idMember} - Read
Get whether an organization can be transferred to an enterprise.
Get whether an organization can be transferred to an enterprise.
GET /enterprises/{id}/transferrable/organization/{idOrganization} - Read
Get a bulk list of organizations that can be transferred to an enterprise.
Get a list of organizations that can be transferred to an enterprise when given a bulk list of organizations.
GET /enterprises/{id}/transferrable/bulk/{idOrganizations} - Read
Get ClaimableOrganizations of an Enterprise
Get the Workspaces that are claimable by the enterprise by ID. Can optionally query for workspaces based on activeness/ inactiveness.
GET /enterprises/{id}/claimableOrganizations - Read
Get PendingOrganizations of an Enterprise
Get the Workspaces that are pending for the enterprise by ID.
GET /enterprises/{id}/pendingOrganizations - Read
Get Organizations of an Enterprise
Get the organizations of an enterprise.
GET /enterprises/{id}/organizations - Read
Bulk accept a set of organizations to an Enterprise.
Accept an array of organizations to an enterprise. NOTE: For enterprises that have opted in to user management via AdminHub, this endpoint will result in organizations being added to the enterprise asynchronously. A 200 response only indicates receipt of the request, it does not indicate successful addition to the enterprise.
GET /enterprises/{id}/organizations/bulk/{idOrganizations} - Write
Create an auth Token for an Enterprise.
Create an auth Token for an Enterprise.
POST /enterprises/{id}/tokens - Destructive
Decline enterpriseJoinRequests from one organization or a bulk list of organizations.
Decline enterpriseJoinRequests from one organization or bulk amount of organizations
PUT /enterprises/${id}/enterpriseJoinRequest/bulk - Destructive
Transfer an Organization to an Enterprise.
Transfer an organization to an enterprise. NOTE: For enterprises that have opted in to user management via AdminHub, this endpoint will result in the organization being added to the enterprise asynchronously. A 200 response only indicates receipt of the request, it does not indicate successful addition to the enterprise.
PUT /enterprises/{id}/organizations - Destructive
Update a Member's licensed status
This endpoint is used to update whether the provided Member should use one of the Enterprise's available licenses or not. Revoking a license will deactivate a Member of an Enterprise. NOTE: Revoking of licenses is not possible for enterprises that have opted in to user management via AdminHub.
PUT /enterprises/{id}/members/{idMember}/licensed - Destructive
Deactivate a Member of an Enterprise.
Deactivate a Member of an Enterprise. NOTE: Deactivation is not possible for enterprises that have opted in to user management via AdminHub.
PUT /enterprises/{id}/members/{idMember}/deactivated - Destructive
Update Member to be admin of Enterprise
Make Member an admin of Enterprise. NOTE: This endpoint is not available to enterprises that have opted in to user management via AdminHub.
PUT /enterprises/{id}/admins/{idMember} - Destructive
Remove a Member as admin from Enterprise.
Remove a member as admin from an enterprise. NOTE: This endpoint is not available to enterprises that have opted in to user management via AdminHub.
DELETE /enterprises/{id}/admins/{idMember} - Destructive
Delete an Organization from an Enterprise.
Remove an organization from an enterprise.
DELETE /enterprises/{id}/organizations/{idOrg}
Labels
- Read
Get a Label
Get information about a single Label.
GET /labels/{id} - Write
Create a Label
Create a new Label on a Board.
POST /labels - Destructive
Update a Label
Update a label by ID.
PUT /labels/{id} - Destructive
Delete a Label
Delete a label by ID.
DELETE /labels/{id} - Destructive
Update a field on a label
Update a field on a label.
PUT /labels/{id}/{field}
Lists
- Read
Get a List
Get information about a List
GET /lists/{id} - Read
Get Actions for a List
Get the Actions on a List
GET /lists/{id}/actions - Read
Get the Board a List is on
Get the board a list is on
GET /lists/{id}/board - Read
Get Cards in a List
List the cards in a list
GET /lists/{id}/cards - Write
Create a new List
Create a new List on a Board
POST /lists - Write
Move all Cards in List
Move all Cards in a List
POST /lists/{id}/moveAllCards - Destructive
Update a List
Update the properties of a List
PUT /lists/{id} - Destructive
Archive all Cards in List
Archive all cards in a list
POST /lists/{id}/archiveAllCards - Destructive
Archive or unarchive a list
Archive or unarchive a list
PUT /lists/{id}/closed - Destructive
Move List to Board
Move a List to a different Board
PUT /lists/{id}/idBoard - Destructive
Update a field on a List
Rename a list
PUT /lists/{id}/{field}
Members
- Read
Get a Member
Get a member
GET /members/{id} - Read
Get a field on a Member
Get a particular property of a member
GET /members/{id}/{field} - Read
Get a Member's Actions
List the actions for a member
GET /members/{id}/actions - Read
Get Member's custom Board backgrounds
Get a member's custom board backgrounds
GET /members/{id}/boardBackgrounds - Read
Get a boardBackground of a Member
Get a member's board background
GET /members/{id}/boardBackgrounds/{idBackground} - Read
Get a Member's boardStars
List a member's board stars
GET /members/{id}/boardStars - Read
Get a boardStar of Member
Get a specific boardStar
GET /members/{id}/boardStars/{idStar} - Read
Get Boards that Member belongs to
Lists the boards that the user is a member of.
GET /members/{id}/boards - Read
Get Boards the Member has been invited to
Get the boards the member has been invited to
GET /members/{id}/boardsInvited - Read
Get Cards the Member is on
Gets the cards a member is on
GET /members/{id}/cards - Read
Get a Member's custom Board Backgrounds
Get a member's custom board backgrounds
GET /members/{id}/customBoardBackgrounds - Read
Get custom Board Background of Member
Get a specific custom board background
GET /members/{id}/customBoardBackgrounds/{idBackground} - Read
Get a Member's customEmojis
Get a Member's uploaded custom Emojis
GET /members/{id}/customEmoji - Read
Get a Member's custom Emoji
Get a Member's custom Emoji
GET /members/{id}/customEmoji/{idEmoji} - Read
Get Member's custom Stickers
Get a Member's uploaded stickers
GET /members/{id}/customStickers - Read
Get a Member's custom Sticker
Get a Member's custom Sticker
GET /members/{id}/customStickers/{idSticker} - Read
Get Member's Notifications
Get a member's notifications
GET /members/{id}/notifications - Read
Get Member's Organizations
Get a member's Workspaces
GET /members/{id}/organizations - Read
Get Organizations a Member has been invited to
Get a member's Workspaces they have been invited to
GET /members/{id}/organizationsInvited - Read
Get Member's saved searched
List the saved searches of a Member
GET /members/{id}/savedSearches - Read
Get a saved search
Get a saved search
GET /members/{id}/savedSearches/{idSearch} - Read
Get Member's Tokens
List a members app tokens
GET /members/{id}/tokens - Read
Get a Member's notification channel settings
Get a member's notification channel settings
GET /members/{id}/notificationChannelSettings - Read
Get blocked notification keys of Member on this channel
Get blocked notification keys of Member on a specific channel
GET /members/{id}/notificationChannelSettings/{channel} - Write
Upload new boardBackground for Member
Upload a new boardBackground
POST /members/{id}/boardBackgrounds - Write
Create Star for Board
Star a new board on behalf of a Member
POST /members/{id}/boardStars - Write
Create a new custom Board Background
Upload a new custom board background
POST /members/{id}/customBoardBackgrounds - Write
Create custom Emoji for Member
Create a new custom Emoji
POST /members/{id}/customEmoji - Write
Create custom Sticker for Member
Upload a new custom sticker
POST /members/{id}/customStickers - Write
Create saved Search for Member
Create a saved search
POST /members/{id}/savedSearches - Write
Create Avatar for Member
Create a new avatar for a member
POST /members/{id}/avatar - Write
Dismiss a message for Member
Dismiss a message
POST /members/{id}/oneTimeMessagesDismissed - Destructive
Update a Member
Update a Member
PUT /members/{id} - Destructive
Update a Member's custom Board background
Update a board background
PUT /members/{id}/boardBackgrounds/{idBackground} - Destructive
Delete a Member's custom Board background
Delete a board background
DELETE /members/{id}/boardBackgrounds/{idBackground} - Destructive
Update the position of a boardStar of Member
Update the position of a starred board
PUT /members/{id}/boardStars/{idStar} - Destructive
Delete Star for Board
Unstar a board
DELETE /members/{id}/boardStars/{idStar} - Destructive
Update custom Board Background of Member
Update a specific custom board background
PUT /members/{id}/customBoardBackgrounds/{idBackground} - Destructive
Delete custom Board Background of Member
Delete a specific custom board background
DELETE /members/{id}/customBoardBackgrounds/{idBackground} - Destructive
Delete a Member's custom Sticker
Delete a Member's custom Sticker
DELETE /members/{id}/customStickers/{idSticker} - Destructive
Update a saved search
Update a saved search
PUT /members/{id}/savedSearches/{idSearch} - Destructive
Delete a saved search
Delete a saved search
DELETE /members/{id}/savedSearches/{idSearch} - Destructive
Update blocked notification keys of Member on a channel
Update blocked notification keys of Member on a specific channel
PUT /members/{id}/notificationChannelSettings - Destructive
Update blocked notification keys of Member on a channel
Update blocked notification keys of Member on a specific channel
PUT /members/{id}/notificationChannelSettings/{channel} - Destructive
Update blocked notification keys of Member on a channel
Update blocked notification keys of Member on a specific channel
PUT /members/{id}/notificationChannelSettings/{channel}/{blockedKeys}
Notifications
- Read
Get a Notification
Get a Notification
GET /notifications/{id} - Read
Get a field of a Notification
Get a specific property of a notification
GET /notifications/{id}/{field} - Read
Get the Board a Notification is on
Get the board a notification is associated with
GET /notifications/{id}/board - Read
Get the Card a Notification is on
Get the card a notification is associated with
GET /notifications/{id}/card - Read
Get the List a Notification is on
Get the list a notification is associated with
GET /notifications/{id}/list - Read
Get the Member a Notification is about (not the creator)
Get the member (not the creator) a notification is about
GET /notifications/{id}/member - Read
Get the Member who created the Notification
Get the member who created the notification
GET /notifications/{id}/memberCreator - Read
Get a Notification's associated Organization
Get the organization a notification is associated with
GET /notifications/{id}/organization - Write
Mark all Notifications as read
Mark all notifications as read
POST /notifications/all/read - Destructive
Update a Notification's read status
Update the read status of a notification
PUT /notifications/{id} - Destructive
Update Notification's read status
Update Notification's read status
PUT /notifications/{id}/unread
Organizations
- Read
Get an Organization
Get an Organization
GET /organizations/{id} - Read
Get field on Organization
Get field on Organization
GET /organizations/{id}/{field} - Read
Get Actions for Organization
List the actions on a Workspace
GET /organizations/{id}/actions - Read
Get Boards in an Organization
List the boards in a Workspace
GET /organizations/{id}/boards - Read
Retrieve Organization's Exports
Retrieve the exports that exist for the given organization
GET /organizations/{id}/exports - Read
Get the Members of an Organization
List the members in a Workspace
GET /organizations/{id}/members - Read
Get Memberships of an Organization
List the memberships of a Workspace
GET /organizations/{id}/memberships - Read
Get a Membership of an Organization
Get a single Membership for an Organization
GET /organizations/{id}/memberships/{idMembership} - Read
Get the pluginData Scoped to Organization
Get organization scoped pluginData on this Workspace
GET /organizations/{id}/pluginData - Read
Get Tags of an Organization
List the organization's collections
GET /organizations/{id}/tags - Read
Get Organizations new billable guests
Used to check whether the given board has new billable guests on it.
GET /organizations/{id}/newBillableGuests/{idBoard} - Write
Create a new Organization
Create a new Workspace
POST /organizations - Write
Create Export for Organizations
Kick off CSV export for an organization
POST /organizations/{id}/exports - Write
Create a Tag in Organization
Create a Tag in an Organization
POST /organizations/{id}/tags - Write
Update logo for an Organization
Set the logo image for a Workspace
POST /organizations/{id}/logo - Destructive
Update an Organization
Update an organization
PUT /organizations/{id} - Destructive
Delete an Organization
Delete an Organization
DELETE /organizations/{id} - Destructive
Update an Organization's Members
Update an Organization's Members
PUT /organizations/{id}/members - Destructive
Update a Member of an Organization
Add a member to a Workspace or update their member type.
PUT /organizations/{id}/members/{idMember} - Destructive
Remove a Member from an Organization
Remove a member from a Workspace
DELETE /organizations/{id}/members/{idMember} - Destructive
Deactivate or reactivate a member of an Organization
Deactivate or reactivate a member of a Workspace
PUT /organizations/{id}/members/{idMember}/deactivated - Destructive
Delete Logo for Organization
Delete a the logo from a Workspace
DELETE /organizations/{id}/logo - Destructive
Remove a Member from an Organization and all Organization Boards
Remove a member from a Workspace and from all Workspace boards
DELETE /organizations/{id}/members/{idMember}/all - Destructive
Remove the associated Google Apps domain from a Workspace
Remove the associated Google Apps domain from a Workspace
DELETE /organizations/{id}/prefs/associatedDomain - Destructive
Delete the email domain restriction on who can be invited to the Workspace
Remove the email domain restriction on who can be invited to the Workspace
DELETE /organizations/{id}/prefs/orgInviteRestrict - Destructive
Delete an Organization's Tag
Delete an organization's tag
DELETE /organizations/{id}/tags/{idTag}
Plugins
- Read
Get a Plugin
Get plugins
GET /plugins/{id}/ - Read
Get Plugin's Member privacy compliance
Get Plugin's Member privacy compliance
GET /plugins/{id}/compliance/memberPrivacy - Write
Create a Listing for Plugin
Create a new listing for a given locale for your Power-Up
POST /plugins/{idPlugin}/listings - Destructive
Update a Plugin
Update a Plugin
PUT /plugins/{id}/ - Destructive
Updating Plugin's Listing
Update an existing listing for your Power-Up
PUT /plugins/{idPlugin}/listings/{idListing}
Search
- Read
Search Trello
Find what you're looking for in Trello
GET /search - Read
Search for Members
Search for Trello members.
GET /search/members/
Tokens
- Read
Get a Token
Retrieve information about a token.
GET /tokens/{token} - Read
Get Token's Member
Retrieve information about a token's owner by token.
GET /tokens/{token}/member - Read
Get Webhooks for Token
Retrieve all webhooks created with a Token.
GET /tokens/{token}/webhooks - Read
Get a Webhook belonging to a Token
Retrieve a webhook created with a Token.
GET /tokens/{token}/webhooks/{idWebhook} - Write
Create Webhooks for Token
Create a new webhook for a Token.
POST /tokens/{token}/webhooks - Destructive
Delete a Webhook created by Token
Delete a webhook created with given token.
DELETE /tokens/{token}/webhooks/{idWebhook} - Destructive
Update a Webhook created by Token
Update a Webhook created by Token
PUT /tokens/{token}/webhooks/{idWebhook} - Destructive
Delete a Token
Delete a token.
DELETE /tokens/{token}/
Webhooks
- Read
Get a Webhook
Get a webhook by ID. You must use the token query parameter and pass in the token the webhook was created under, or else you will encounter a 'webhook does not belong to token' error.
GET /webhooks/{id} - Read
Get a field on a Webhook
Get a field on a Webhook
GET /webhooks/{id}/{field} - Write
Create a Webhook
Create a new webhook.
POST /webhooks/ - Destructive
Update a Webhook
Update a webhook by ID.
PUT /webhooks/{id} - Destructive
Delete a Webhook
Delete a webhook by ID.
DELETE /webhooks/{id}
No operations match.
See How connections work for access and permissions, or browse all integrations.